PostMantis
API ReferenceProfiles

List profiles

Returns the connected publishing profiles available to the authenticated API key.

GET
/api/profiles

Returns the connected publishing profiles available to the authenticated API key.

Authorization

BearerAuth
AuthorizationBearer <token>

API key from the PostMantis dashboard.

In: header

Response Body

application/json

application/problem+json

application/json

curl -X GET "https://postmantis.com/api/profiles"
{  "data": [    {      "id": "4339a6bc-9cd3-455e-8f91-df8bc63f12d7",      "name": "Julius",      "provider": "x",      "status": "active",      "username": "julius",      "picture_url": "https://cdn.postmantis.com/profiles/julius.png",      "expires_at": null,      "posts_count": 12,      "created_at": "2026-03-10T09:00:00Z",      "updated_at": "2026-03-28T09:00:00Z"    },    {      "id": "9aa032e9-bf7d-4355-b4c1-96f191c2f7ee",      "name": "Launch Channel",      "provider": "youtube",      "status": "reauth_required",      "username": "launch-channel",      "picture_url": "https://cdn.postmantis.com/profiles/launch-channel.png",      "expires_at": "2026-03-20T10:00:00Z",      "posts_count": 6,      "created_at": "2026-03-01T09:00:00Z",      "updated_at": "2026-03-20T10:00:00Z"    }  ]}
{  "type": "https://postmantis.com/problems/unauthorized",  "title": "Unauthorized",  "status": 401,  "detail": "Missing or invalid API key.",  "code": "unauthorized"}
{  "error": "Too Many Requests"}